Bug 568148 - Review Request: python-squaremap - SquareMap for wxPython
Summary: Review Request: python-squaremap - SquareMap for wxPython
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 568149
TreeView+ depends on / blocked
 
Reported: 2010-02-24 21:32 UTC by Dave Malcolm
Modified: 2010-11-05 22:55 UTC (History)
3 users (show)

Fixed In Version: python-squaremap-1.0.0-0.2.b24.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-04 20:16:18 UTC
tomspur: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Dave Malcolm 2010-02-24 21:32:10 UTC
Spec URL: http://dmalcolm.fedorapeople.org/python-packaging/python-squaremap.spec
SRPM URL: http://dmalcolm.fedorapeople.org/python-packaging/python-squaremap-1.0.0-0.1.b24.fc12.src.rpm
Description:
A simple wxPython control to display hierarchic data as a recursive set of
nested squares, each of which represents the relative size of a given child
within its parent.


(used by the RunSnakeRun python profile visualizer, which I'm about to file a review request for also)

Comment 1 Thomas Spura 2010-02-25 22:31:27 UTC
Review:

Good:
- name ok
- group ok
- BR/R ok
- macros everywhere
- no *.la
- no libs
- noarch ok
- license ok
- builds in mock
- source match upstream: cef66530225cc63caaf8b878020b333d


Needswork:
- $ rpmlint python-squaremap-1.0.0-0.1.b24.fc12.src.rpm noarch/python-squaremap-1.0.0-0.1.b24.fc12.noarch.rpm 
python-squaremap.src: W: spelling-error Summary(en_US) wxPython -> python, Python, diphthong
python-squaremap.src: W: spelling-error %description -l en_US wxPython -> python, Python, diphthong
python-squaremap.noarch: W: spelling-error Summary(en_US) wxPython -> python, Python, diphthong
python-squaremap.noarch: W: spelling-error %description -l en_US wxPython -> python, Python, diphthong
python-squaremap.noarch: W: no-documentation
python-squaremap.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/squaremap/squaremap.py 0644 /usr/bin/env
2 packages and 0 specfiles checked; 1 errors, 5 warnings.

Spelling error is ignoreable, but you need to remove the shebang, because this file is not intented to run.

- no-documentation: There is no LICENSE file.
  Please query upstream to add one.

- You should be more explicit in %files to be notified, when the egg is not build:
e.g.
%{python_sitelib}/squaremap
%{python_sitelib}/Squaremap-*.egg-info

__________________________________________________________


This are only minor issues, which I'm sure, you'll fix before importing.

__________________________________________________________


APPROVED

Comment 2 Thomas Spura 2010-02-25 22:34:49 UTC
One thing I like to add:

Group: Development/Libraries would be better...

Comment 3 Dave Malcolm 2010-03-03 02:46:25 UTC
Thanks.

squaremap.py is actually usable as a script, so I gave it executable permissions instead (it's a simple test when run as "main", you can use it to view space used by files in a directory).

I've made the other changes you requested; I delete the egg-info during %prep, and updated %files to verify that it got regenerated:

* Tue Mar  2 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-0.2.b24%{?dist}
- fix permissions for squaremap.py
- change group to Development/Libraries
- delete prebuilt egg-info, and explicitly list egginfo in %%files stanza to
ensure it is regenerated during the build

I'll email the maintainer about the license.

Comment 4 Dave Malcolm 2010-03-03 02:47:51 UTC
New Package CVS Request
=======================
Package Name: python-squaremap
Short Description: SquareMap for wxPython
Owners: dmalcolm
Branches: F-12 F-13
InitialCC:

Comment 5 Jason Tibbitts 2010-03-04 00:59:52 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Dave Malcolm 2010-03-04 20:16:18 UTC
Imported into CVS

Built into dist-f14 as http://koji.fedoraproject.org/koji/taskinfo?taskID=2031452

Built into dist-f13 as http://koji.fedoraproject.org/koji/taskinfo?taskID=2031452

Build into dist-f12 as http://koji.fedoraproject.org/koji/taskinfo?taskID=2031452

Thanks!

Comment 7 Dave Malcolm 2010-03-04 20:21:04 UTC
Ooops, copy and paste snafu; 
three copies of link above are all of the dist-f14 build

dist-f13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2031490
dist-f12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2031492

(Though these links are somewhat redundant)

Comment 8 Fedora Update System 2010-08-26 16:33:03 UTC
python-squaremap-1.0.0-0.2.b24.fc13,RunSnakeRun-2.0.0-0.4.b4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-squaremap-1.0.0-0.2.b24.fc13,RunSnakeRun-2.0.0-0.4.b4.fc13

Comment 9 Fedora Update System 2010-11-05 22:55:22 UTC
python-squaremap-1.0.0-0.2.b24.fc13, RunSnakeRun-2.0.0-0.4.b4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.